QGIS Application - Bug report #14347
"Control feature rendering order" is unchecked and cleared when the layer style mode is switched
2016-02-21 05:01 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Sebastian Dietrich

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22332
Description

In vector Layer's Properties --> style, set a single symbol rendering

Then check the "Control feature rendering order" and set a sorting expression and apply also an effect

Switch to, let's say, categorized rendering

The "draw effects" is still active while the rendering order expression has been cleared.

Testing shows that it's kept only if the style has been applied before the switch (what's not required for "draw effects") - and even in that
case the behaviour is not consistent.

Given that features ordering may have nothing to do with the features classification, and to be consistent with the other options in the
Layer rendering frame, the expression set in the "Control feature rendering order" should not be cleared.

Set it as blocker, given that it's a new feature.

History

#1 - 2016-02-22 04:30 PM - Sebastian Dietrich

- Status changed from Open to In Progress

- Assignee set to Sebastian Dietrich

- % Done changed from 0 to 100

- Pull Request or Patch supplied changed from No to Yes

See PR 2831 for a solution.

#2 - 2016-02-22 04:37 PM - Sebastian Dietrich
- Subject changed from "Control Layer rendering order" is unchecked and cleared when the layer style mode is switched to "Control feature rendering
order" is unchecked and cleared when the layer style mode is switched

Note that it is Control feature rendering order, not Control layer rendering order. | changed that in the subject and description.

#3 - 2016-02-24 02:03 PM - Sebastian Dietrich
- % Done changed from 100 to 50

Set to 50% because of side effects detected in the proposed solution.
https://github.com/qgis/QGIS/pull/2831

#4 - 2016-06-30 04:33 AM - Andreas Neumann

- Priority changed from Severe/Regression to High

| am setting this to priority "high" due to the following reasons:

- it doesn't crash QGIS

- there is no data corruption

- it doesn't display false information

- itisn't a regression, since it did not work before and then suddenly failed.

Category "Severe/Regression” should really be reserved to the above cases.

| agree though that it is annoying and hopefully can be fixed.

#5 - 2017-01-05 10:27 AM - Giovanni Manghi

- Priority changed from High to Normal

Andreas Neumann wrote:

I am setting this to priority "high" due to the following reasons:

- it doesn't crash QGIS

- there is no data corruption

- it doesn't display false information

- it isn't a regression, since it did not work before and then suddenly failed.

Category "Severe/Regression” should really be reserved to the above cases.

| agree though that it is annoying and hopefully can be fixed.

if there is no crash and no data corruption is also not high.

I'm trying to clean a bit the bug queue, leaving as high the tickets really causing that problems. Later we can eventually raise again the priority of this issue.

By the way... why the patch was not committed?

#6 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from In Progress to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
